#!/usr/bin/env python

import wx

class MainFrame(wx.Frame):
    """Class with the GUI and GUI functions"""
    def __init__(self, parent,id):
        """Displays the frame, creates the GUI"""
        wx.Frame.__init__(self, parent,id, "Draw Line Example", 
                          size=(288,192), style=wx.CAPTION | wx.CLOSE_BOX)
        sizer= wx.BoxSizer(wx.VERTICAL)
        self.SetSizer(sizer)
        panel= Panel(self)
        sizer.Add(panel, 1, wx.EXPAND)
        self.Layout()

class Panel(wx.Panel):
    """Class with the main panel and its functions"""
    def __init__(self, parent):
        """Defines bindings and sets the panel up"""
        super(Panel, self).__init__(parent)  #super the panel
        self.Bind(wx.EVT_PAINT, self.OnPaint)  #bind wx.EVT_PAINT to OnPaint
    
    def OnPaint(self, event):
        """Is called with EVT_PAINT, draws a line"""
        self.dc = wx.PaintDC(self)  #Creates the wxPaintDC
        self.dc.Clear()  #Clears (to white) the wxPaintDC
        self.dc.DrawLine(5, 5, 100, 5)  #Draws a line from (5,5) to (100,5)

if __name__=='__main__':
    """Displays the GUI and starts the GUI Loop"""
    app = wx.PySimpleApp()
    frame = MainFrame(parent=None, id=-1)
    frame.Show()
    app.MainLoop()
